| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::ImageChangeset Class Reference

## Public Member Functions
| ImageChangeset ()=default
| An ImageChangeset covers adding or changing any properties of an image.
| ImageChangeset (const QList< qlonglong > &ids, const DatabaseFields::Set &changes)
| ImageChangeset (qlonglong id, const DatabaseFields::Set &changes)
DatabaseFields::Set | changes () const
bool | containsImage (qlonglong id) const
QList< qlonglong > | ids () const
ImageChangeset & | operator<< (const QDBusArgument &argument)
const ImageChangeset & | operator>> (QDBusArgument &argument) const

## Constructor & Destructor Documentation

## ◆ ImageChangeset()

Digikam::ImageChangeset::ImageChangeset | ( |  | ) |
| default

It is described by a list of affected image ids, and a set of affected database fields. There is no guarantee that information in the database has actually been changed.